Package serverP2P

## Class ServerManagementUDP

- java.lang.Object
- - serverP2P.ServerManagementUDP

All Implemented Interfaces:
  `java.lang.Runnable`

    public class ServerManagementUDP
    extends java.lang.Object
    implements java.lang.Runnable

Implementation of P2P-JAVA-PROJECT VERSION 1.0 protocol for UDP.

Version:
  1.0
Author:
  Louis Royer, Flavien Haas, JS Auge

### Constructor Summary

Constructors
`ServerManagementUDP​(java.lang.String baseDirectory, int UDPPort)` Constructor for UDP implementation, with baseDirectory and UDPPort parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` Implementation of runnable.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerManagementUDP

    public ServerManagementUDP​(java.lang.String baseDirectory,
                               int UDPPort)

Constructor for UDP implementation, with baseDirectory and UDPPort parameters.

Parameters:
  `baseDirectory` - the root directory where files are stored
  `UDPPort` - the server will listen on this port

### Method Detail

#### run

    public void run()

Implementation of runnable. This methods allows to run the server.

Specified by:
  `run` in interface `java.lang.Runnable`